UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
com.latencybusters.pdm.PDMField Class Reference

A field is element in the message that contains the value and a reference back to the field information that was created in the PDMDefinition. More...

## Public Member Functions
| PDMField (PDMFieldInfo info, PDMSection section, int offset, PDMSerializer ser, PDMDeserializer deser)
virtual bool | isValueSet ()
| Used to check whether or not the value has been set for this PDMField. More...
virtual System.Object | getValue ()
| Gets the actual value that was set in the field. More...
System.Boolean | getBooleanValue ()
| Gets the actual value that was set in the field as Boolean. More...
System.SByte | getInt8Value ()
| Gets the actual value that was set in the field as Int8. More...
System.Byte | getUInt8Value ()
| Gets the actual value that was set in the field as UInt8. More...
System.Int16 | getInt16Value ()
| Gets the actual value that was set in the field as Int16. More...
System.UInt16 | getUInt16Value ()
| Gets the actual value that was set in the field as UInt16. More...
System.Int32 | getInt32Value ()
| Gets the actual value that was set in the field as Int32. More...
System.UInt32 | getUInt32Value ()
| Gets the actual value that was set in the field as UInt32. More...
System.Int64 | getInt64Value ()
| Gets the actual value that was set in the field as Int64. More...
System.UInt64 | getUInt64Value ()
| Gets the actual value that was set in the field as Int64. More...
System.Single | getFloatValue ()
| Gets the actual value that was set in the field as Float. More...
System.Double | getDoubleValue ()
| Gets the actual value that was set in the field as Double. More...
PDMDecimal | getDecimalValue ()
| Gets the actual value that was set in the field as PDMDecimal. More...
PDMTimestamp | getTimestampValue ()
| Gets the actual value that was set in the field as PDMTimestamp. More...
System.String | getStringValue ()
| Gets the actual value that was set in the field as String for types: FIX_STRING, STRING, FIX_UNICODE, UNICODE. More...
System.Byte[] | getBlobValue ()
| Gets the actual value that was set in the field as Blob. More...
PDMMessage | getMessageValue ()
| Gets the actual value that was set in the field as PDMMessage. More...
System.Boolean[] | getBooleanArrayValue ()
| Gets the actual value that was set in the field as Boolean[]. More...
System.SByte[] | getInt8ArrayValue ()
| Gets the actual value that was set in the field as Int8[]. More...
System.Byte[] | getUInt8ArrayValue ()
| Gets the actual value that was set in the field as UInt8[]. More...
System.Int16[] | getInt16ArrayValue ()
| Gets the actual value that was set in the field as Int16[]. More...
System.UInt16[] | getUInt16ArrayValue ()
| Gets the actual value that was set in the field as UInt16[]. More...
System.Int32[] | getInt32ArrayValue ()
| Gets the actual value that was set in the field as Int32[]. More...
System.UInt32[] | getUInt32ArrayValue ()
| Gets the actual value that was set in the field as UInt32[]. More...
System.Int64[] | getInt64ArrayValue ()
| Gets the actual value that was set in the field as Int64[]. More...
System.UInt64[] | getUInt64ArrayValue ()
| Gets the actual value that was set in the field as UInt64[]. More...
System.Single[] | getFloatArrayValue ()
| Gets the actual value that was set in the field as Single[]. More...
System.Double[] | getDoubleArrayValue ()
| Gets the actual value that was set in the field as Double[]. More...
PDMDecimal[] | getDecimalArrayValue ()
| Gets the actual value that was set in the field as PDMDecimal[]. More...
PDMTimestamp[] | getTimestampArrayValue ()
| Gets the actual value that was set in the field as PDMTimestamp[]. More...
System.String[] | getStringArrayValue ()
| Gets the actual value that was set in the field as String[]. More...
System.Byte[][] | getBlobArrayValue ()
| Gets the actual value that was set in the field as Blob[]. More...
PDMMessage[] | getMessageArrayValue ()
| Gets the actual value that was set in the field as PDMMessage[]. More...
virtual void | setValue (bool newValue)
| Sets the field value to the value passed. More...
virtual void | setValue (sbyte newValue)
| Sets the field value to the value passed. More...
virtual void | setValue (byte newValue)
| Sets the field value to the value passed. More...
virtual void | setValue (short newValue)
| Sets the field value to the value passed. More...
virtual void | setValue (ushort newValue)
| Sets the field value to the value passed. More...
virtual void | setValue (int newValue)
| Sets the field value to the value passed. More...
virtual void | setValue (uint newValue)
| Sets the field value to the value passed. More...
virtual void | setValue (long newValue)
| Sets the field value to the value passed. More...
virtual void | setValue (ulong newValue)
| Sets the field value to the value passed. More...
virtual void | setValue (float newValue)
| Sets the field value to the value passed. More...
virtual void | setValue (double newValue)
| Sets the field value to the value passed. More...
virtual void | setValue (PDMDecimal newValue)
| Sets the field value to the value passed. More...
virtual void | setValue (PDMTimestamp newValue)
| Sets the field value to the value passed. More...
virtual void | setValue (System.String newValue)
| Sets the field value to the value passed. More...
virtual void | setValue (PDMMessage newValue)
| Sets the field value to the value passed. More...
virtual void | setValue (bool[] values)
| Sets the field value to the array value passed. More...
virtual void | setValue (sbyte[] values)
| Sets the field value to the array value passed. More...
virtual void | setValue (byte[] values)
| Sets the field value to the array value passed. More...
virtual void | setValue (short[] values)
| Sets the field value to the array value passed. More...
virtual void | setValue (ushort[] values)
| Sets the field value to the array value passed. More...
virtual void | setValue (int[] values)
| Sets the field value to the array value passed. More...
virtual void | setValue (uint[] values)
| Sets the field value to the array value passed. More...
virtual void | setValue (long[] values)
| Sets the field value to the array value passed. More...
virtual void | setValue (ulong[] values)
| Sets the field value to the array value passed. More...
virtual void | setValue (float[] values)
| Sets the field value to the array value passed. More...
virtual void | setValue (double[] values)
| Sets the field value to the array value passed. More...
virtual void | setValue (PDMDecimal[] values)
| Sets the field value to the array value passed. More...
virtual void | setValue (PDMTimestamp[] values)
| Sets the field value to the array value passed. More...
virtual void | setValue (System.String[] values)
| Sets the field value to the array value passed. More...
virtual void | setValue (byte[][] values)
| Sets the field value to the array value passed. More...
virtual void | setValue (PDMMessage[] values)
| Sets the field value to the array value passed. More...

## Properties
virtual PDMFieldInfo | FieldInfo`[get]`
| Gets the corresponding PDMFieldInfo from the PDMDefinition. More...
virtual int | Id`[get]`
| Gets the internal Id of the PDMField. More...
virtual int | IntName`[get]`
| Gets the IntName of the PDMField. More...
virtual System.String | StrName`[get]`
| Gets the StrName of the PDMField. More...
virtual PDMFieldType | FieldType`[get]`
| Gets the PDMFieldType of the PDMField. More...

## Detailed Description

A field is element in the message that contains the value and a reference back to the field information that was created in the PDMDefinition.

## Member Function Documentation

System.Byte [][] com.latencybusters.pdm.PDMField.getBlobArrayValue | ( |  | ) |

Gets the actual value that was set in the field as Blob[].

Returns
  the Blob[] field value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMDeserializer.readByteArray(), and com.latencybusters.pdm.PDMDeserializer.readInt().

System.Byte [] com.latencybusters.pdm.PDMField.getBlobValue | ( |  | ) |

Gets the actual value that was set in the field as Blob.

Returns
  the blob field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readByteArray().

System.Boolean [] com.latencybusters.pdm.PDMField.getBooleanArrayValue | ( |  | ) |

Gets the actual value that was set in the field as Boolean[].

Returns
  the Boolean[] field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readBoolean().

System.Boolean com.latencybusters.pdm.PDMField.getBooleanValue | ( |  | ) |

Gets the actual value that was set in the field as Boolean.

Returns
  the Boolean field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readBoolean().

PDMDecimal [] com.latencybusters.pdm.PDMField.getDecimalArrayValue | ( |  | ) |

Gets the actual value that was set in the field as PDMDecimal[].

Returns
  the PDMDecimal[] field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readDecimal().

PDMDecimal com.latencybusters.pdm.PDMField.getDecimalValue | ( |  | ) |

Gets the actual value that was set in the field as PDMDecimal.

Returns
  the PDMDecimal field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readDecimal().

System.Double [] com.latencybusters.pdm.PDMField.getDoubleArrayValue | ( |  | ) |

Gets the actual value that was set in the field as Double[].

Returns
  the Double[] field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readDouble().

System.Double com.latencybusters.pdm.PDMField.getDoubleValue | ( |  | ) |

Gets the actual value that was set in the field as Double.

Returns
  the Double field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readDouble().

System.Single [] com.latencybusters.pdm.PDMField.getFloatArrayValue | ( |  | ) |

Gets the actual value that was set in the field as Single[].

Returns
  the Single[] field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readFloat().

System.Single com.latencybusters.pdm.PDMField.getFloatValue | ( |  | ) |

Gets the actual value that was set in the field as Float.

Returns
  the Float field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readFloat().

System.Int16 [] com.latencybusters.pdm.PDMField.getInt16ArrayValue | ( |  | ) |

Gets the actual value that was set in the field as Int16[].

Returns
  the Int16[] field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readShort().

System.Int16 com.latencybusters.pdm.PDMField.getInt16Value | ( |  | ) |

Gets the actual value that was set in the field as Int16.

Returns
  the Int16 field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readShort().

System.Int32 [] com.latencybusters.pdm.PDMField.getInt32ArrayValue | ( |  | ) |

Gets the actual value that was set in the field as Int32[].

Returns
  the Int32[] field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readInt().

System.Int32 com.latencybusters.pdm.PDMField.getInt32Value | ( |  | ) |

Gets the actual value that was set in the field as Int32.

Returns
  the Int32 field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readInt().

System.Int64 [] com.latencybusters.pdm.PDMField.getInt64ArrayValue | ( |  | ) |

Gets the actual value that was set in the field as Int64[].

Returns
  the Int64[] field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readLong().

System.Int64 com.latencybusters.pdm.PDMField.getInt64Value | ( |  | ) |

Gets the actual value that was set in the field as Int64.

Returns
  the Int64 field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readLong().

System.SByte [] com.latencybusters.pdm.PDMField.getInt8ArrayValue | ( |  | ) |

Gets the actual value that was set in the field as Int8[].

Returns
  the Int8[] field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readByte().

System.SByte com.latencybusters.pdm.PDMField.getInt8Value | ( |  | ) |

Gets the actual value that was set in the field as Int8.

Returns
  the Int8 field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readByte().

PDMMessage [] com.latencybusters.pdm.PDMField.getMessageArrayValue | ( |  | ) |

Gets the actual value that was set in the field as PDMMessage[].

Returns
  the PDMMessage[] field value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMMessage.parse(), com.latencybusters.pdm.PDMDeserializer.readByteArray(), and com.latencybusters.pdm.PDMDeserializer.readInt().

PDMMessage com.latencybusters.pdm.PDMField.getMessageValue | ( |  | ) |

Gets the actual value that was set in the field as PDMMessage.

Returns
  the PDMMessage field value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMMessage.parse(), and com.latencybusters.pdm.PDMDeserializer.readByteArray().

System.String [] com.latencybusters.pdm.PDMField.getStringArrayValue | ( |  | ) |

Gets the actual value that was set in the field as String[].

Returns
  the Single[] field value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.FIX_STRING_ARR, com.latencybusters.pdm.PDMFieldType.FIX_UNICODE_ARR, com.latencybusters.pdm.PDMDeserializer.readInt(), com.latencybusters.pdm.PDMDeserializer.readString(), com.latencybusters.pdm.PDMDeserializer.readUnicode(), com.latencybusters.pdm.PDMFieldType.STRING_ARR, and com.latencybusters.pdm.PDMFieldType.UNICODE_ARR.

System.String com.latencybusters.pdm.PDMField.getStringValue | ( |  | ) |

Gets the actual value that was set in the field as String for types: FIX_STRING, STRING, FIX_UNICODE, UNICODE.

Returns
  the String field value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMDeserializer.readString(), and com.latencybusters.pdm.PDMDeserializer.readUnicode().

PDMTimestamp [] com.latencybusters.pdm.PDMField.getTimestampArrayValue | ( |  | ) |

Gets the actual value that was set in the field as PDMTimestamp[].

Returns
  the PDMTimestamp[] field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readTimestamp().

PDMTimestamp com.latencybusters.pdm.PDMField.getTimestampValue | ( |  | ) |

Gets the actual value that was set in the field as PDMTimestamp.

Returns
  the PDMTimestamp field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readTimestamp().

System.UInt16 [] com.latencybusters.pdm.PDMField.getUInt16ArrayValue | ( |  | ) |

Gets the actual value that was set in the field as UInt16[].

Returns
  the UInt16[] field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readUShort().

System.UInt16 com.latencybusters.pdm.PDMField.getUInt16Value | ( |  | ) |

Gets the actual value that was set in the field as UInt16.

Returns
  the UInt16 field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readUShort().

System.UInt32 [] com.latencybusters.pdm.PDMField.getUInt32ArrayValue | ( |  | ) |

Gets the actual value that was set in the field as UInt32[].

Returns
  the UInt32[] field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readUInt().

System.UInt32 com.latencybusters.pdm.PDMField.getUInt32Value | ( |  | ) |

Gets the actual value that was set in the field as UInt32.

Returns
  the UInt32 field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readUInt().

System.UInt64 [] com.latencybusters.pdm.PDMField.getUInt64ArrayValue | ( |  | ) |

Gets the actual value that was set in the field as UInt64[].

Returns
  the UInt64[] field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readULong().

System.UInt64 com.latencybusters.pdm.PDMField.getUInt64Value | ( |  | ) |

Gets the actual value that was set in the field as Int64.

Returns
  the UInt64 field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readULong().

System.Byte [] com.latencybusters.pdm.PDMField.getUInt8ArrayValue | ( |  | ) |

Gets the actual value that was set in the field as UInt8[].

Returns
  the UInt8[] field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readUByte().

System.Byte com.latencybusters.pdm.PDMField.getUInt8Value | ( |  | ) |

Gets the actual value that was set in the field as UInt8.

Returns
  the Uint8 field value

References com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMDeserializer.readUByte().

virtual System.Object com.latencybusters.pdm.PDMField.getValue | ( |  | ) |
| virtual

Gets the actual value that was set in the field.

Returns
  the Object representing the field value

References com.latencybusters.pdm.PDMSection.Buffer.

Referenced by com.latencybusters.pdm.PDMMessage.getFieldValue().

virtual bool com.latencybusters.pdm.PDMField.isValueSet | ( |  | ) |
| virtual

Used to check whether or not the value has been set for this PDMField.

Returns
  the bool indicating if the value has been set

References com.latencybusters.pdm.PDMFieldType.BLOB_ARR, com.latencybusters.pdm.PDMFieldType.BOOLEAN_ARR, com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMSection.createBuffer(), com.latencybusters.pdm.PDMFieldType.DECIMAL, com.latencybusters.pdm.PDMFieldType.DECIMAL_ARR, com.latencybusters.pdm.PDMFieldType.DOUBLE, com.latencybusters.pdm.PDMFieldType.DOUBLE_ARR, com.latencybusters.pdm.PDMFieldType.FIX_STRING_ARR, com.latencybusters.pdm.PDMFieldType.FIX_UNICODE_ARR, com.latencybusters.pdm.PDMFieldType.FLOAT, com.latencybusters.pdm.PDMFieldType.FLOAT_ARR, com.latencybusters.pdm.PDMSection.getType(), com.latencybusters.pdm.PDMFieldType.getType(), com.latencybusters.pdm.PDMFieldType.INT16, com.latencybusters.pdm.PDMFieldType.INT16_ARR, com.latencybusters.pdm.PDMFieldType.INT32, com.latencybusters.pdm.PDMFieldType.INT32_ARR, com.latencybusters.pdm.PDMFieldType.INT64, com.latencybusters.pdm.PDMFieldType.INT64_ARR, com.latencybusters.pdm.PDMFieldType.INT8_ARR, com.latencybusters.pdm.PDMFieldType.MESSAGE_ARR, com.latencybusters.pdm.PDMMessage.parse(), com.latencybusters.pdm.PDMDeserializer.readBoolean(), com.latencybusters.pdm.PDMDeserializer.readByte(), com.latencybusters.pdm.PDMDeserializer.readByteArray(), com.latencybusters.pdm.PDMDeserializer.readDecimal(), com.latencybusters.pdm.PDMDeserializer.readDouble(), com.latencybusters.pdm.PDMDeserializer.readFloat(), com.latencybusters.pdm.PDMDeserializer.readInt(), com.latencybusters.pdm.PDMDeserializer.readLong(), com.latencybusters.pdm.PDMDeserializer.readShort(), com.latencybusters.pdm.PDMDeserializer.readString(), com.latencybusters.pdm.PDMDeserializer.readTimestamp(), com.latencybusters.pdm.PDMDeserializer.readUByte(), com.latencybusters.pdm.PDMDeserializer.readUInt(), com.latencybusters.pdm.PDMDeserializer.readULong(), com.latencybusters.pdm.PDMDeserializer.readUnicode(), com.latencybusters.pdm.PDMDeserializer.readUShort(), com.latencybusters.pdm.PDMFieldType.STRING_ARR, com.latencybusters.pdm.PDMFieldType.TIMESTAMP, com.latencybusters.pdm.PDMFieldType.TIMESTAMP_ARR, com.latencybusters.pdm.PDMFieldType.UINT16, com.latencybusters.pdm.PDMFieldType.UINT16_ARR, com.latencybusters.pdm.PDMFieldType.UINT32, com.latencybusters.pdm.PDMFieldType.UINT32_ARR, com.latencybusters.pdm.PDMFieldType.UINT64, com.latencybusters.pdm.PDMFieldType.UINT64_ARR, com.latencybusters.pdm.PDMFieldType.UINT8_ARR, com.latencybusters.pdm.PDMFieldType.UNICODE_ARR, com.latencybusters.pdm.PDMSerializer.writeDecimal(), com.latencybusters.pdm.PDMSerializer.writeDouble(), com.latencybusters.pdm.PDMSerializer.writeFloat(), com.latencybusters.pdm.PDMSerializer.writeInt(), com.latencybusters.pdm.PDMSerializer.writeLong(), com.latencybusters.pdm.PDMSerializer.writeShort(), com.latencybusters.pdm.PDMSerializer.writeTimestamp(), com.latencybusters.pdm.PDMSerializer.writeUInt(), com.latencybusters.pdm.PDMSerializer.writeULong(), and com.latencybusters.pdm.PDMSerializer.writeUShort().

Referenced by com.latencybusters.pdm.PDMMessage.getFields(), com.latencybusters.pdm.PDMMessage.getFieldValue(), com.latencybusters.pdm.PDMMessage.isFieldValueSet(), com.latencybusters.pdm.PDMMessage.removeFieldValue(), and com.latencybusters.pdm.PDMMessage.updateOptOrVarFlag().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | bool | newValue | ) |
| virtual

Sets the field value to the value passed.

Parameters

  newValue | the bool value

References com.latencybusters.pdm.PDMFieldType.BOOLEAN, com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMSerializer.writeBoolean().

Referenced by com.latencybusters.pdm.PDMMessage.setFieldValue().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | sbyte | newValue | ) |
| virtual

Sets the field value to the value passed.

Parameters

  newValue | the sbyte value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.INT8, and com.latencybusters.pdm.PDMSerializer.writeByte().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | byte | newValue | ) |
| virtual

Sets the field value to the value passed.

Parameters

  newValue | the byte value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.UINT8, and com.latencybusters.pdm.PDMSerializer.writeUByte().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | short | newValue | ) |
| virtual

Sets the field value to the value passed.

Parameters

  newValue | the short value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.INT16, and com.latencybusters.pdm.PDMSerializer.writeShort().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | ushort | newValue | ) |
| virtual

Sets the field value to the value passed.

Parameters

  newValue | the ushort value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.UINT16, and com.latencybusters.pdm.PDMSerializer.writeUShort().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | int | newValue | ) |
| virtual

Sets the field value to the value passed.

Parameters

  newValue | the int value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.INT32, and com.latencybusters.pdm.PDMSerializer.writeInt().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | uint | newValue | ) |
| virtual

Sets the field value to the value passed.

Parameters

  newValue | the uint value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.UINT32, and com.latencybusters.pdm.PDMSerializer.writeUInt().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | long | newValue | ) |
| virtual

Sets the field value to the value passed.

Parameters

  newValue | the long value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.INT64, and com.latencybusters.pdm.PDMSerializer.writeLong().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | ulong | newValue | ) |
| virtual

Sets the field value to the value passed.

Parameters

  newValue | the ulong value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.UINT64, and com.latencybusters.pdm.PDMSerializer.writeULong().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | float | newValue | ) |
| virtual

Sets the field value to the value passed.

Parameters

  newValue | the float value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.FLOAT, and com.latencybusters.pdm.PDMSerializer.writeFloat().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | double | newValue | ) |
| virtual

Sets the field value to the value passed.

Parameters

  newValue | the double value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.DOUBLE, and com.latencybusters.pdm.PDMSerializer.writeDouble().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | PDMDecimal | newValue | ) |
| virtual

Sets the field value to the value passed.

Parameters

  newValue | the PDMDecimal value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.DECIMAL, and com.latencybusters.pdm.PDMSerializer.writeDecimal().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | PDMTimestamp | newValue | ) |
| virtual

Sets the field value to the value passed.

Parameters

  newValue | the PDMTimestamp value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.TIMESTAMP, and com.latencybusters.pdm.PDMSerializer.writeTimestamp().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | System.String | newValue | ) |
| virtual

Sets the field value to the value passed.

Parameters

  newValue | the String value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.FIX_STRING, com.latencybusters.pdm.PDMFieldType.FIX_UNICODE, com.latencybusters.pdm.PDMFieldType.STRING, com.latencybusters.pdm.PDMFieldType.UNICODE, com.latencybusters.pdm.PDMSerializer.writeString(), and com.latencybusters.pdm.PDMSerializer.writeUnicode().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | PDMMessage | newValue | ) |
| virtual

Sets the field value to the value passed.

Parameters

  newValue | the PDMMessage value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMMessage.IncludeDefinition, com.latencybusters.pdm.PDMFieldType.MESSAGE, com.latencybusters.pdm.PDMMessage.MessageLen, and com.latencybusters.pdm.PDMMessage.Serializer.

virtual void com.latencybusters.pdm.PDMField.setValue | ( | bool[] | values | ) |
| virtual

Sets the field value to the array value passed.

Parameters

  values | the bool array value

References com.latencybusters.pdm.PDMFieldType.BOOLEAN_ARR, com.latencybusters.pdm.PDMSection.Buffer, and com.latencybusters.pdm.PDMSerializer.writeBoolean().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | sbyte[] | values | ) |
| virtual

Sets the field value to the array value passed.

Parameters

  values | the sbyte array value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.INT8_ARR, and com.latencybusters.pdm.PDMSerializer.writeByte().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | byte[] | values | ) |
| virtual

Sets the field value to the array value passed.

Parameters

  values | the byte array value

References com.latencybusters.pdm.PDMFieldType.BLOB, com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.UINT8_ARR, and com.latencybusters.pdm.PDMSerializer.writeByteArray().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | short[] | values | ) |
| virtual

Sets the field value to the array value passed.

Parameters

  values | the short array value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.INT16_ARR, and com.latencybusters.pdm.PDMSerializer.writeShort().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | ushort[] | values | ) |
| virtual

Sets the field value to the array value passed.

Parameters

  values | the ushort array value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.UINT16_ARR, and com.latencybusters.pdm.PDMSerializer.writeUShort().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | int[] | values | ) |
| virtual

Sets the field value to the array value passed.

Parameters

  values | the int array value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.INT32_ARR, and com.latencybusters.pdm.PDMSerializer.writeInt().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | uint[] | values | ) |
| virtual

Sets the field value to the array value passed.

Parameters

  values | the uint array value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.UINT32_ARR, and com.latencybusters.pdm.PDMSerializer.writeUInt().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | long[] | values | ) |
| virtual

Sets the field value to the array value passed.

Parameters

  values | the long array value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.INT64_ARR, and com.latencybusters.pdm.PDMSerializer.writeLong().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | ulong[] | values | ) |
| virtual

Sets the field value to the array value passed.

Parameters

  values | the ulong array value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.UINT64_ARR, and com.latencybusters.pdm.PDMSerializer.writeULong().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | float[] | values | ) |
| virtual

Sets the field value to the array value passed.

Parameters

  values | the float array value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.FLOAT_ARR, and com.latencybusters.pdm.PDMSerializer.writeFloat().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | double[] | values | ) |
| virtual

Sets the field value to the array value passed.

Parameters

  values | the double array value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.DOUBLE_ARR, and com.latencybusters.pdm.PDMSerializer.writeDouble().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | PDMDecimal[] | values | ) |
| virtual

Sets the field value to the array value passed.

Parameters

  values | the PDMDecimal array value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.DECIMAL_ARR, and com.latencybusters.pdm.PDMSerializer.writeDecimal().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | PDMTimestamp[] | values | ) |
| virtual

Sets the field value to the array value passed.

Parameters

  values | the PDMTimestamp array value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.TIMESTAMP_ARR, and com.latencybusters.pdm.PDMSerializer.writeTimestamp().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | System.String[] | values | ) |
| virtual

Sets the field value to the array value passed.

Parameters

  values | the String array value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMFieldType.FIX_STRING_ARR, com.latencybusters.pdm.PDMFieldType.FIX_UNICODE_ARR, com.latencybusters.pdm.PDMFieldType.STRING_ARR, com.latencybusters.pdm.PDMFieldType.UNICODE_ARR, com.latencybusters.pdm.PDMSerializer.writeInt(), com.latencybusters.pdm.PDMSerializer.writeString(), and com.latencybusters.pdm.PDMSerializer.writeUnicode().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | byte | values[][] | ) |
| virtual

Sets the field value to the array value passed.

Parameters

  values | the byte[] array value

References com.latencybusters.pdm.PDMFieldType.BLOB_ARR, com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMSerializer.writeByteArray(), and com.latencybusters.pdm.PDMSerializer.writeInt().

virtual void com.latencybusters.pdm.PDMField.setValue | ( | PDMMessage[] | values | ) |
| virtual

Sets the field value to the array value passed.

Parameters

  values | the PDMMessage array value

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMMessage.IncludeDefinition, com.latencybusters.pdm.PDMFieldType.MESSAGE_ARR, com.latencybusters.pdm.PDMMessage.MessageLen, and com.latencybusters.pdm.PDMSerializer.writeInt().

## Property Documentation

virtual PDMFieldInfo com.latencybusters.pdm.PDMField.FieldInfo
| get

Gets the corresponding PDMFieldInfo from the PDMDefinition.

Values: the field info object

Referenced by com.latencybusters.pdm.PDMMessage.getFields(), com.latencybusters.pdm.PDMMessage.removeFieldValue(), and com.latencybusters.pdm.PDMMessage.updateOptOrVarFlag().

virtual PDMFieldType com.latencybusters.pdm.PDMField.FieldType
| get

Gets the PDMFieldType of the PDMField.

Values: the field type object

virtual int com.latencybusters.pdm.PDMField.Id
| get

Gets the internal Id of the PDMField.

Values: the internal id

virtual int com.latencybusters.pdm.PDMField.IntName
| get

Gets the IntName of the PDMField.

Values: the name of the field if using integer names

virtual System.String com.latencybusters.pdm.PDMField.StrName
| get

Gets the StrName of the PDMField.

Values: the name of the field if using string names

The documentation for this class was generated from the following file:

- PDMField.cs